Environment Provisioning - Get Provisioning Templates
Retrieves available templates for environment provisioning in a location.
GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/templates?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The location name. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Disabled |
|
|
Environment |
The environment SKU. |
|
Environment |
|
|
Environment |
|
|
Error |
Represents error information for an operation. |
|
Template |
|
|
Validation |
Represents the response for validation of an operation. |
DisabledReason
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| message |
string |
EnvironmentSku
The environment SKU.
| Value | Description |
|---|---|
| NotSpecified | |
| Standard | |
| Premium | |
| Developer | |
| Basic | |
| Production | |
| Sandbox | |
| Trial | |
| Default | |
| Support | |
| SubscriptionBasedTrial | |
| Teams | |
| Platform |
EnvironmentTemplate
| Name | Type | Description |
|---|---|---|
| availability | ||
| displayName |
string |
|
| isCustomerEngagement |
boolean |
|
| isSupportedForResetOperation |
boolean |
|
| name |
string |
EnvironmentTemplatePagedCollection
| Name | Type | Description |
|---|---|---|
| collection | ||
| continuationToken |
string |
ErrorInfo
Represents error information for an operation.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error Code. |
| fieldErrors |
object |
The detailed error. |
TemplateAvailability
| Name | Type | Description |
|---|---|---|
| disabledReason | ||
| environmentSku |
The environment SKU. |
|
| isDisabled |
boolean |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Represents error information for an operation. |